Pavel_Osipov
@Pavel_Osipov
Программист, в основном web

Подружить PHP с GraphicsMagick под Убунту?

Такой вопрос.

Пытаюсь на локальном сервере Apache на Ubuntu 10.10 использовать graphicsmagick


Скачал, собрал, в консоли
gm -convert -scale 200 big_img.JPG out.jpg

работает


затем установил РНР расширение

sudo pecl install gmagick-beta

phpinfo() показывает, что всё ОК

gmagick version 1.0.8b1


И код
$image = new Gmagick();<br/>
$file = 'big_img.JPG';<br/>
$image-&gt;readImage($file);



Выдаёт ошибку:

Wrong JPEG library version: library is 62, caller expects 80


Установил jpegsrc.v8c.tar.gz от сюда, ничего не поменялось, хотя в /usr/local/lib/ появилась libjpeg.so.8.3.0.


И вот вопрос, как указать какую либу ему использовать?


P.S. нашёл заметку но решение не помогло.


Зарание спасибо
  • Вопрос задан
  • 3587 просмотров
Пригласить эксперта
Ответы на вопрос 1
@YourChief
когда пересобираете ImageMagick делайте не просто clean, а distclean и configure заново. если не поможет — попробуйте заменить 62ю либу симлинком на 83ю
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
АКМЭ сервис Санкт-Петербург
от 100 000 руб.
SaveTime Москва
от 100 000 руб.
UGOL Санкт-Петербург
от 150 000 руб.